### Callable

- link(existingPath: PathLike, newPath: PathLike, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:436

  Asynchronous link(2) - Create a new link (also known as a hard link) to an existing file.

  #### Parameters

  - ##### existingPath: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### newPath: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

## Index

### Functions

- link

## Functions

### link

- link(existingPath: PathLike, newPath: PathLike): Promise<void>

- - Defined in node_modules/@types/node/fs.d.ts:445

  Asynchronous link(2) - Create a new link (also known as a hard link) to an existing file.

  #### Parameters

  - ##### existingPath: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### newPath: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  #### Returns Promise<void>

Generated using TypeDoc